Get environment redirect rules
curl --request GET \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/redirect-rules \
--header 'Authorization: Bearer <token>'{
"environment": {
"id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"container_info": {
"redirect_rules": {
"rules": [
{
"from": "/",
"to": "https://example.com/login",
"type": "redirect",
"domain": "https://login.example.com",
"traffic_from_country": "US",
"traffic_from_country_name": "United States",
"traffic_from_city": "Nashville",
"displayed_location": "Nashville, United States"
}
],
"redirect_rules_count": 100
}
}
}
}WordPress Site Environments
Get environment redirect rules
GET
/
sites
/
environments
/
{env_id}
/
redirect-rules
Get environment redirect rules
curl --request GET \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/redirect-rules \
--header 'Authorization: Bearer <token>'{
"environment": {
"id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"container_info": {
"redirect_rules": {
"rules": [
{
"from": "/",
"to": "https://example.com/login",
"type": "redirect",
"domain": "https://login.example.com",
"traffic_from_country": "US",
"traffic_from_country_name": "United States",
"traffic_from_city": "Nashville",
"displayed_location": "Nashville, United States"
}
],
"redirect_rules_count": 100
}
}
}
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinqsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Query Parameters
Example:
10
Example:
3
Available options:
domain, from, to, type Example:
"domain"
Available options:
ascend, descend Example:
"ascend"
Example:
"Search..."
Available options:
true, false Example:
"true"
Response
Successfully found redirect rules
Show child attributes
Show child attributes
⌘I